---
title: "Update the Telemetry Configuration"
slug: "update-the-telemetry-configuration"
tags: ["Reference", "IPS 10.1.10"]
updated: 2026-09-23T09:36:53Z
published: 2026-09-23T09:36:53Z
canonical: "docs.trellix.com/update-the-telemetry-configuration"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Update the Telemetry Configuration
This URL updates the telemetry configuration present on the Manager.
## Resource URL
PUT /gticonfiguration
## Request Parameters
URL Parameters: None
Payload Request Parameters:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| alertDataDetails | Alert data details | Object | Yes |
| alertDataSummary | Should the alert data summary be included in data sent to telemetry | Boolean | Yes |
| generalSetup | Should the general setup data be included in data sent to telemetry | Boolean | Yes |
| featureUsage | Should the feature usage data be included in data sent to telemetry | Boolean | Yes |
| systemFaults | Should the system faults data be included in data sent to telemetry | Boolean | Yes |
| technicalContactInformation | Contact details in the organization | Object | Yes |
Details of fields in alertDataDetails:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| AlertDataDetailsEnabled | Alert data details to be sent | Boolean | Yes |
| excludedIpList | Exclude IP address information for endpoints on this list | Array | No |
| alertDetaDetailsFilterLevel | Alert data filter level | Object | Yes |
Details of fields in technicalContactInformation:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| sendContactInfo | Send contact information | Boolean | Yes |
| firstName | First name | String | No |
| lastName | Last name | String | No |
| address | Address | String | No |
| phone | Phone | String | No |
| email | Email | String | No |
Details of fields in alertDetaDetailsFilterLevel:
| Field Name | Description | Data Type | Mandatory |
| --- | --- | --- | --- |
| high | Include high severity alerts | Boolean | Yes |
| low | Include low severity alerts | Boolean | Yes |
| medium | Include medium severity alerts | Boolean | Yes |
| informational | Include informational severity alerts | Boolean | Yes |
## Response Parameters
Returns the following fields:
| Field Name | Description | Data Type |
| --- | --- | --- |
| status | Set to 1 if the update is successful | Number |
## Example
**Request**
PUT [https:///sdkapi/gticonfiguration](https://%3CNSM_IP%3E/sdkapi/getclusterid)
**Payload**
```
{
"alertDataDetails":{"AlertDataDetailsEnabled":true,"excludedIpList":["1.1.1.1/32"],
"alertDetaDetailsFilterLevel":{"high":true,"low":true,"medium":true,"informational":true}},
"alertDataSummary":true,"generalSetup":true,"featureUsage":true,"systemFaults":true,
"technicalContactInformation":{"sendContactInfo":true,"firstName":"Test",
"lastName":"Test","address":"MIC","phone":"1234567890","email":"EIT@xyz.com"}
}
```
**Response**
```
{
"status":1
}
```
## Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
| --- | --- | --- | --- |
| 1 | 500 | 1001 | Internal error |